---
apiVersion: apps/v1
kind: Deployment
metadata:
  name: {{ .Values.backend_flask.deployment.name }}
  namespace: {{ include "namespace" . }}
  labels:
    app.kubernetes.io/name: {{ .Values.project_name_Label }}
    app.kubernetes.io/component: {{ .Values.app_component_Label }}
spec:
  replicas: {{ .Values.backend_flask.deployment.replicas }}
  selector:
    matchLabels:
      app.kubernetes.io/name: {{ .Values.project_name_Label }}
      app.kubernetes.io/component: {{ .Values.app_component_Label }}
  template:
    metadata:
      labels:
        app.kubernetes.io/name: {{ .Values.project_name_Label }}
        app.kubernetes.io/component: {{ .Values.app_component_Label }}
    spec:
      containers:
      - name: {{ .Values.backend_flask.container.name }}
        image: "{{ .Values.global.image_name }}"
        imagePullPolicy: {{ .Values.backend_flask.deployment.image.pullPolicy }}
        ports:
          - containerPort: {{ .Values.backend_flask.container.containerPort }}
            name: {{ .Values.backend_flask.container.port_name }}
        resources:
          limits:
            cpu: "200m"
          requests:
            cpu: "100m"
        env:
          - name: DB_USER
            valueFrom:
              secretKeyRef:
                name: db-secret
                key: DB_User
          - name: DB_PASSWORD
            valueFrom:
              secretKeyRef:
                name: db-secret
                key: DB_Password
                
          - name: DB_HOST
            valueFrom:
              configMapKeyRef:
                name: configmap-app	
                key: DB_Host
                
          - name: DATABASE_URL	
            valueFrom:
              secretKeyRef:
                name: db-secret			 
                key: DATABASE_URL

 